Bug 1728706 - Different User is Being Shown as the Requester for a Lifecycle Provision in Automation Log
Summary: Different User is Being Shown as the Requester for a Lifecycle Provision in A...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.9.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.8
Assignee: drew uhlmann
QA Contact: Ganesh Hubale
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1671563
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-10 13:58 UTC by Satoe Imaishi
Modified: 2019-10-30 19:39 UTC (History)
13 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1671563
Environment:
Last Closed: 2019-08-13 08:35:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 None None None 2019-08-13 08:35:46 UTC

Comment 2 CFME Bot 2019-07-22 20:27:59 UTC
New commit detected on ManageIQ/manageiq-automation_engine/hammer:

https://github.com/ManageIQ/manageiq-automation_engine/commit/c028be0f1f1d6eaf344d45df2aed62f8ea1a6dc0
commit c028be0f1f1d6eaf344d45df2aed62f8ea1a6dc0
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Feb 12 08:10:52 2019 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Tue Feb 12 08:10:52 2019 -0500

    Merge pull request #293 from d-m-u/no_setting_user_current_user

    Don't set User.current_user

    (cherry picked from commit d50d002b73e424acee8ba281f5e4d03c7b91548c)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1728706

 lib/miq_automation_engine/engine/miq_ae_engine/miq_ae_workspace_runtime.rb | 5 +-
 lib/miq_automation_engine/engine/miq_ae_method_service/miq_ae_service.rb | 10 +-
 spec/engine/miq_ae_workspace_runtime_spec.rb | 9 +-
 3 files changed, 16 insertions(+), 8 deletions(-)

Comment 3 CFME Bot 2019-07-22 21:48:54 UTC
New commit detected on ManageIQ/manageiq-automation_engine/hammer:

https://github.com/ManageIQ/manageiq-automation_engine/commit/f81ad32d6743e10616094821b16e2770ce93a4dd
commit f81ad32d6743e10616094821b16e2770ce93a4dd
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Mar 18 17:34:31 2019 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Mar 18 17:34:31 2019 -0400

    Merge pull request #302 from lfu/current_user

    Set current user for exposed methods in automate.

    (cherry picked from commit 5ccdf7db5d5e73f27b7385e02594818073a70efe)

    https://bugzilla.redhat.com/show_bug.cgi?id=1728706

 lib/miq_automation_engine/engine/miq_ae_method_service/miq_ae_service_model_base.rb | 6 +-
 spec/service_models/miq_ae_service_service_template_provision_request_spec.rb | 29 +-
 2 files changed, 25 insertions(+), 10 deletions(-)

Comment 7 errata-xmlrpc 2019-08-13 08:35:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.